# Resend OTP

### URI

&#x20;<mark style="color:blue;background-color:blue;">**POST**</mark>&#x20;

```
https://api.tryduplo.com/v1/wallets/v2/resend-payout-otp
```

### Parameters

#### Header

<table data-header-hidden><thead><tr><th width="325"></th><th></th></tr></thead><tbody><tr><td><strong>Authorization</strong><br><code>string</code> </td><td>set value to <code>Bearer SECRET_KEY</code></td></tr></tbody></table>

#### Body Param

<table data-header-hidden><thead><tr><th width="260"></th><th></th></tr></thead><tbody><tr><td><strong>transaction_ref</strong><br><code>string</code> <mark style="color:red;"><code>required</code></mark></td><td>The transaction reference</td></tr><tr><td><strong>business_id</strong><br><code>string</code> <mark style="color:red;"><code>required</code></mark></td><td>Merchant business ID</td></tr></tbody></table>

### Sample request

{% tabs %}
{% tab title="cURL" %}
{% code overflow="wrap" %}

```bash
curl --location --request POST 'https://api.tryduplo.com/v1/wallets/v2/resend-payout-otp' \
--header 'Authorization: Bearer SECRET_KEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "business_id" : "15f87763-8b6c-47c2-b1ec-e90574c2c4a9",
    "transaction_ref": "tran_i81LURD7sH"
}'
```

{% endcode %}
{% endtab %}

{% tab title="Node" %}
{% code overflow="wrap" lineNumbers="true" %}

```javascript
var axios = require('axios');
var data = JSON.stringify({
    "business_id" : "15f87763-8b6c-47c2-b1ec-e90574c2c4a9",
    "transaction_ref": "tran_i81LURD7sH"
});

var config = {
 method: 'post',
 url: 'https://api.tryduplo.com/v1/wallets/v2/resend-payout-otp',
 headers: {
   'Authorization': 'Bearer SECRET_KEY',
   'Content-Type': 'application/json'
 },
 data : data
};

axios(config)
.then(function (response) {
 console.log(JSON.stringify(response.data));
})
.catch(function (error) {
 console.log(error);
});
```

{% endcode %}
{% endtab %}

{% tab title="PHP" %}
{% code overflow="wrap" lineNumbers="true" %}

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
 CURLOPT_URL => 'https://api.tryduplo.com/v1/wallets/v2/resend-payout-otp',
 CURLOPT_RETURNTRANSFER => true,
 CURLOPT_ENCODING => '',
 CURLOPT_MAXREDIRS => 10,
 CURLOPT_TIMEOUT => 0,
 CURLOPT_FOLLOWLOCATION => true,
 CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
 CURLOPT_CUSTOMREQUEST => 'POST',
 CURLOPT_POSTFIELDS =>'{
    "business_id" : "15f87763-8b6c-47c2-b1ec-e90574c2c4a9",
    "transaction_ref": "tran_i81LURD7sH"
}',
 CURLOPT_HTTPHEADER => array(
   'Authorization: Bearer SECRET_KEY',
   'Content-Type: application/json'
 ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;
```

{% endcode %}
{% endtab %}
{% endtabs %}

### Duplo Response

```json
{
   "data": {},
   "errors": {},
   "message": "Payout OTP resent successfully"
}
```
